Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### width

Examples

    noStroke();
    background(0);
    rect(0, 40, width, 20);
    rect(0, 60, width/2, 20);

Description | System variable which stores the width of the display window. This value is set by the first parameter of the size() function. For example, the function call size(320, 240) sets the width variable to the value 320. The value of width is zero until size() is called.

Syntax

    width

Parameters

Usage | Web & Application
Related | height

Updated on February 09, 2008 04:38:52pm PST